"""mysql max index lengths

Revision ID: 228d1af6af1c
Revises: 5b84373e5db
Create Date: 2015-01-06 14:35:24.651424

"""

# revision identifiers, used by Alembic.
revision = '228d1af6af1c'
down_revision = '5b84373e5db'

from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

def upgrade(tables):
  op.drop_index('queueitem_queue_name', table_name='queueitem')
  op.create_index('queueitem_queue_name', 'queueitem', ['queue_name'], unique=False, mysql_length=767)

  op.drop_index('image_ancestors', table_name='image')
  op.create_index('image_ancestors', 'image', ['ancestors'], unique=False, mysql_length=767)

def downgrade(tables):
  pass
